# Get service principal details

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/scim/v2/ServicePrincipals/{id}`

Gets the details for a single service principal define in the Databricks account.

API scopes: scim

## Path parameters

- `account_id` (string, uuid, required)
  Databricks account ID
- `id` (string, int64, required)
  Unique ID for a service principal in the Databricks account.

## Returns

Returns the AccountServicePrincipal object.

## Response

```json
{
  "active": true,
  "applicationId": "string",
  "displayName": "etl-service",
  "externalId": "string",
  "id": "string",
  "roles": [
    {
      "display": "string",
      "primary": true,
      "$ref": "string",
      "type": "string",
      "value": "string"
    }
  ],
  "account_id": "string"
}
```

